lp(1)

NOMBRE
lp - imprime archivos
cancel - cancela trabajos

SINOPSIS
lp [ -E ] [ -c ] [ -d destino ] [ -h servidor ] [ -m ] [ -n num-copias [ -o opción ] [ -q prioridad ] [ -s ] [ -t título ] [ -H manejo ] [ -P lista-páginas ] [ archivos(s) ]
lp [ -E ] [ -c ] [ -h servidor ] [ -i id-trabajo ] [ -n num-copias [ -o opción ] [ -q prioridad ] [ -t título ] [ -H manejo ] [ -P lista-páginas ]
cancel [ -a ] [ -h servidor ] [ -u usuario ] [ id ] [ destino ] [ id-destino ]

DESCRIPCIÓN
lp realiza la impresión de un archivo o modifica un trabajo de impresión pendiente. Use el nombre de archivo "-" para imprimir desde la entrada estandar.

cancel cancela los trabajos de impresión existentes. La opción -a cancela todos los trabajos del destino especificado.

OPCIONES
lp reconoce las siguientes opciones:

-E
    Hace que se use encriptación en la conexión con el servidor.

-c
    Esta opción funciona sólamente por motivos de compatibilidad. En sistemas que la soportan, obliga a que el archivo de impresión se copie al directorio spool antes de ser impreso. En CUPS, los archivos impresos se envían siempre al planificador de tareas via IPP, lo cual tiene el mismo efecto.

-d destino
    Imprime archivos en la impresora especificada.

-h servidor
    Especifica el nombre del servidor de impresión. Por omisión es "localhost" o el valor de la variable de entorno CUPS_SERVER.

-i id-trabajo
    Especifica el trabajo existente que se va a modificar.

-m
    Envía un correo cuando se ha impreso el trabajo (no soportado en CUPS 1.1.)

-n copias
    Especifica el número de copias a imprimir de 1 a 100.

-o opción
    Especifica una opción para el trabajo.

-q prioridad
    Especifica la prioridad del trabajo de 1 (la más baja) a 100 (la más alta). La prioridad predeterminada es 50.

-s
    No informa del ID del trabajo resultante (modo silencioso).

-t nombre
    Especifica el nombre del trabajo.

-u usuario
    Cancela los trabajos pertenecientes a usuario.

-H manejo
    Especifica cuando debe ser impreso el trabajo. Un valor de immediate imprimirá el archivo inmediatamente, un valor de hold retendrá el trabajo indefinidamente, y un valor de tiempo (HH:MM) retendrá el trabajo hasta la hora especificada. Use el valor de resume con la opción -i para reanudar un trabajo retenido. Use un valor de restart con la opción -i para reiniciar un trabajo completado.

-P lista-páginas
    Especifica qué páginas imprimir del documento. La lista puede contener una lista de números y rangos (#-#) separados por comas (p.e. 1,3-5,16).

COMPATIBILIDAD
A diferencia del sistema de impresión System V, CUPS permite que los nombres de impresoras contengan cualquier carácter imprimible excepto ESPACIO y TAB. También, en los nombres de clases e impresoras no hay distinción entre mayúsculas y minúsculas.

La opción "m" no funciona en CUPS 1.1.

La opción "q" acepta un rango diferente de valores que el comando lp de Solaris, igualando los valores de prioridad de IPP (1-100) en vez de los valores de Solaris (0-39).

NOTAS
Los administradores que deseen impedir cancelaciones no autorizadas de trabajos mediante la opción -u deben proteger con una palabra de acceso el directorio donde se almacenan los trabajos (véase la opción en cupsd.conf(5)).

VÉASE TAMBIÉN
lpstat(1), Manual de usuario de CUPS, http://localhost:631/documentation.html

DERECHOS DE COPIA
Los derechos de copia 1993-2004 son de Easy Software Products. Todos los derechos reservados.

TRADUCCIÓN
Juan Pablo González Riopedre <riopedre@tiscali.es>